Bug report #3020

Possibly obsolete error message for field functions min/max on string field

Added by Volker Fröhlich about 10 years ago. Updated about 10 years ago.

Status:Closed
Priority:Low
Assignee:Jürgen Fischer
Category:Vectors
Affected QGIS version: Regression?:No
Operating System:All Easy fix?:No
Pull Request or Patch supplied: Resolution:invalid
Crashes QGIS or corrupts data: Copied to github as #:13080

Description



	

Using QgsVectorDataProvider's maximumValue or minimumValue methods raises above error messages, when used on strings. It's working nevertheless. I assume, these error messages are no longer valid.

History

#1 Updated by Jürgen Fischer about 10 years ago

  • Resolution set to invalid
  • Status changed from Open to Closed

The OGR functions are still invoked, but if they fail the "standard" implementation is used. So the error message should simply be ignored.

Also available in: Atom PDF